body{
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    color: lightgrey;
}
html{
    scroll-behavior: smooth;
}

.container{
 z-index: 21;
    position: sticky;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 100px;
    background-color: #2e438238 ;
}

.back-vid{
    position: fixed;
    right: 0;
    bottom: 0;
    z-index: -1;
    mix-blend-mode: lighten;
   
}

header{
      
    display: flex;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    align-items: center;
    justify-content: space-between;
    height: 70px;
    background-color:  rgba(255, 255, 255, 0,123);
    backdrop-filter: blur(10px);
    padding: 0 30px;
    box-shadow: 0 0 15px #72a1de68;
    z-index: 999;
}
.left{
    display: flex;
    align-items: center;
    
}
.left img{
    width: 40px;
   margin: 0 15px;
    
}
header ul{
    display: flex;
    justify-content: space-between;
    width: 30%;
    padding: 15px 15px;
    border-radius: 50px;
    background-color: rgba(0, 0, 69, 0.30);
    backdrop-filter: blur(10px);
    box-shadow: 0 0 10px #727fde65;
    
}
header ul li{
    list-style: none;
    
}

header ul a{ 
    text-decoration: none;
    color: white;
    font-weight: 700;
    margin: 0 10px;
     
 }
 .box-icons { 
    display: flex;
    gap: 40px;
     
 } .box-icons a{ 
    display: flex;
    align-items: center;
    justify-content:center;
    font-size: 20px;
    width: 30px;
    height: 30px;
    border: 2PX solid #727fde;
    text-decoration: none;
    color: lightgrey;
    border-radius: 50%;
    transition: 0.3s;
 }
 .box-icons a:hover{ 
  
    background-color: #727fde;
   color: black;
   box-shadow: 0 0 15px #727fde6f;

 }
 
 .blackhole-box{ 
    z-index: -1;
    position: absolute;
    top: 0;
    width: 100%;
    justify-content: center;
    mix-blend-mode: lighten;
   }
   .blackhole-box video{ 
  
    width: 100%;
    margin-top: -23.5%;
   }
   .hero{ 
    position: relative;
    display: flex;
    width: 100%;
    height: 100vh;
    align-items: center;
    justify-content: space-between;
   }
   .hero-info { 
    position: absolute;
    left:5%;
    
   }
   .hero-info .hero-info-title{ 
    color: #727fde;
    padding: 8px 5px;
    border: 1px solid #727fde77;
    width: 240px;
    background-color: #2200493d;
    box-shadow: 0 0 5px #727fde88;
    border-radius: 50px;
   
    
   }
   .hero-info h1{ 
   font-size: 60px;
   max-width: 600px;
   font-weight: 700;
   line-height: 70px;
   margin-top: 40px;
   margin-bottom: 30px;
    
   }
   .hero-info p{ 
    max-width: 550px;
    line-height: 25px;
    margin-bottom: 40px;
    font-size: 20px;    
    }
 .hero-info button{ 
        color: white;
        padding: 15px 35px;
        border-radius: 10px ;
        border: 1px solid #727fdeb4;
 
        background-color: #2200493d;
        box-shadow: 0 0 5px #727fde86;
       cursor: pointer;
       transition: 0.3s;
        }
 .hero-info button:hover{ 
    box-shadow: 0 0 15px #727fde86;
}



.gradient
{ 
    background: linear-gradient(to right,#008baa, #7e42a7,#6600c5,#6070fd,#2a46ff,#0096ff,#008baa);
    background-size: 200%;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: animate-gradient 2.5s linear infinite;
}

@keyframes animate-gradient {
   to{
        background-position:200%;
    }
}

.hero-vid-box{
    position: absolute;
    right: 0%;
 }
 .hero-vid-box video{ 
    height: 900px;
    mix-blend-mode: lighten;
 }


.scroll-down{
    height: 50px;
    width: 30px;
    border: 2px solid lightgray;
    position: absolute;
    left: 49%;
    bottom: 8%;
    border-radius: 50px;
    cursor: pointer;
    box-shadow: 0 0 15px rgba(211, 211, 211, 0.477);
 }

.scroll-down::before,
.scroll-down::after {
   content: "";
    
    position: absolute;
    top: 20%;
    left:50%;
    height: 10px;
    width: 10px;
    border: 2px solid lightgray;
    transform: translate(-50%,-100%) rotate(45deg);
    border-top: transparent;
    border-left: transparent;
    animation: scroll-down 2s ease-in-out infinite;
 }

 .scroll-down::before {
    top: 30%;
    animation-delay: 0.5s;
}


@keyframes scroll-down {
    0% {
        opacity: 0;
    }
    30%, 60%{
        opacity: 1;
    }
    100%{
        top: 90%;
        opacity: 0;
    }
}

.info-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 80%;
    margin-top: 100px;
}

.section-title{
    font-size: 40px;
    font-weight: 700;
    padding:  auto;
   
}
.info-cards{
    display: grid;
    grid-template-columns: auto auto auto;
    gap: 20px;
    width: 100%;
    height: 100%;
    margin-top: 30px;


}

.card{
    display: flex;
    align-items: flex-start;
    justify-content: center;
    position: relative;
    width: auto;
    height: 40vh;
    overflow: hidden;
    border: 1px solid gray;
    background-color: #080020b7;
    border-radius: 20px;
    transition: 0.3s;
}
.card img{
  
    width: 80%;
    height: 50%;
  object-fit: cover;
}

.card h1{
  position: absolute;
  margin: -0px;
  bottom: 40%;
  left: 5%;
  font-size: 25px;
  z-index: 1;
  color: lightgray;

}

.card p{
  position: absolute;
  bottom: 3%;
  left: 5%;
  margin-bottom: 20px;
  z-index: 1;
  max-width: 300px;
  color: gray;
  font-size: 13px;
  line-height: 20px;

  
}


.card video{
    margin-top: 10%;
    width: 70%;
    height: 50%;
    object-fit: cover;
    mix-blend-mode: lighten;
    
    
  
  }

  .card button{
   
        color: white;
        padding: 5px 15px;
        border-radius: 10px ;
        border: 1px solid #727fdeb4;

        background-color: #2200493d;
        box-shadow: 0 0 5px #727fde86;
        cursor: pointer;
        transition: 0.3s;
        position: absolute;
        bottom: 5%;
        left: 5%;

  
  }

  
.card button:hover{
     box-shadow: 0 0 15px #727fde86;
     opacity: 0.7;
    
  
  }

  .card:hover{
    box-shadow: 0 0 15px rgba(211,211, 211, 0.5);
    
   
 
 }
 
 .card:nth-child(3){

        grid-row: span 2;
        height: 83vh;

 
 }

 .card:nth-child(3) p{

   bottom: 12%;
}

.card:nth-child(3) h1{

    bottom: 21%;
 }
 

 .card:nth-child(4){

    grid-column: span 2;
    

}
.card:nth-child(4) p{

max-width: 650px;
 }
 
 .card:nth-child(4) h1{

    bottom: 35%;
 }
 

/**Projects*/
.my-projects{

  display:flex;
  flex-direction: column;
  gap: 10%;
  align-items: center;
  position: relative;
  width: 80%;
  height: 100vh;
  margin-top: 200px;
  margin-bottom: 700px;
 }

 .project-card{

    display:flex;
    width: 100%;
    height: 40%;
    align-items: center;
    gap: 10%;
    justify-content: center;
    
    
   }
  
   .project-vidbox{

    display:flex;
    align-items: center;
    justify-content: center;
    width: 50%;
    position: relative;
 
    cursor: pointer;
    
    min-width: 400px;
    transition: 0.5s;
    mix-blend-mode: exclusion;
   }
  
   .project-vidbox video{

    object-fit: cover;
    width: 100%;
    box-shadow: 0 0 10px lightgray;
    border-radius: 20px;
    transition: 0.5s;
   }
  
   .project-vidbox video:hover{

    box-shadow: 0 0 20px lightgray;
   }
  .project-info{

    display:flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;

    width: 50%;
    padding-left: 10%;
   }
  
   .project-info h1{

    width: 90%;
    font-size: 25px;
    font-weight: bold;
    text-wrap: nowrap;
    margin-bottom: 10px;
    margin-top: 0;
    max-width: 450px;

   }
   
   .project-info p{

    width: 90%;
    max-width: 400px;
    min-width: 300px;
    margin-bottom: 50px;
    margin-top: 0;
  
      }
      
   .project-info button{

    color: white;
    padding: 10px 15px;
    border-radius: 10px ;
    border: 1px solid #727fdeb4;

    background-color: #2200493d;
    box-shadow: 0 0 5px #727fde86;
    cursor: pointer;
    transition: 0.3s;
   
      }


  
 .project-info button:hover{
        box-shadow: 0 0 15px #727fde86;
        opacity: 0.7;
       
     
     }
  .hover-sign{
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30%;
    height: 100px;

  }
  .hover-sign::before,
  .hover-sign::after{
    
    text-align: center;
    position: absolute;
    font-size: 50px;
    top: 20%;
    left: 40%;
    border-radius: 50%;
    animation: hoverAnimation 3s ease-in-out infinite;

  }

  @keyframes hoverAnimation {
    0%{
        box-shadow: 0 0 5px lightgray;
        transform: translate(100%,50%)rotate(30deg);
    }
    100%{
        box-shadow: 0 0 15px lightgray;
        transform: translateX(80%,50%)rotate(0deg);
    }
  }
  .hover-sign.active{
    display: none;
}
/*Skills*/
.skills-section{
    display: flex;
    
    flex-direction: column;
    align-items: center;
    position: relative;
}

.skills-box{
    width: 100%;
    height: 90vh;
    position: relative;
    display: flex;
    align-items: start;
    justify-content: center;
}

.skills-image{

    width: 70%;
    mix-blend-mode: lighten;
    opacity: 0.7;
}
.designer{
   
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: start;
    top: 25%;
    left: 5%;
    max-width: 300px;
}
.coder h1{
    font-size: 30px;
    
}
.coder{
   
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: start;
    top: 25%;
    right: 5%;
    max-width: 300px;
}

.skills-box h1{
    font-size: 40px;
    display: flex;
    align-items: center;

}

.skills-box p{
     line-height: 23px;
}


/*slider*/

.slider{
    position: absolute;
    bottom: 5%;
    right: 20%;
    width: 60%;
    height: var(--height);
    overflow: hidden;
    mask-image: linear-gradient(
        to right,
        transparent,
        #000 10% 90%,
        transparent
    );
    mix-blend-mode: difference;
    opacity: 0.8;
}
.slider .list{
    display: flex;
    width: 100%;
    min-width: calc(var(--width)*var(--quantity));
    position: relative;
}

.slider .list .item{
    width: var(--width);
    height: var(--height);
    position: absolute;
    left: 100%;
    animation: autoRun 10s linear infinite;
    transition: filter 0.5s;
    animation-delay: calc( (10s / var(--quantity)) * (var(--position) - 1) - 10s)!important;
}

.slider .list .item img{
    width: 100%;
}

@keyframes autoRun{
    from{
        left: 100%;

    }to{
        left: calc(var(--width) * -1);
    }
}


.slider:hover .item{
    animation-play-state: paused!important;
    filter: grayscale(1);
}
.slider .item:hover{
    filter: grayscale(0);
}

.btn-download{
    text-decoration: none;
    color: lightgray;
}

/*Contact Section*/
.contact-section{

    width: 80%;
    height: 100vh;
    display: flex;
    justify-content: center;
    gap: 10%;
    align-items: center;
    position: relative;


}
.contact-section h1{
    
    position: absolute;
    top: 10%;
    left: 40%;

}

.social-box{

    display: flex;
    flex-direction: column;
    gap: 25px;
}
.social-box i{ 

   color: #727fde;
   font-size: 30px;
   margin-right: 10px;
}


.social-icons a i{ 

    color: white;
    
    margin-top: 40px;
 }
 
 .contact-box p{
    font-size: 20px;
    max-width: 800px;
    margin-top: 30px;
    margin-bottom: 5px;

 }

.contact-box input{
    padding: 5.5px 30px;
    background-color: lightgray;
    width: 80%;
    height: 25px;
    border: none;
    outline: none;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}


.contact-box button{
    margin-top: 30px;
    color: white;
    padding: 10px 15px;
    border-radius: 10px ;
    border: 1px solid #727fdeb4;

    background-color: #2200493d;
    box-shadow: 0 0 5px #727fde86;
    cursor: pointer;
    transition: 0.3s;

}

.contact-box button:hover{
    box-shadow: 0 0 15px #727fde86;
    opacity: 0.7;
}
.glass{
    background-color: linear-gradient(135deg,rgba(12,15,28,0.1),rgba(255,255,255,0));
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-radius: 10px;
    border: 1px solid rgba(255, 255,255, 0.18);
    box-shadow: 0 8px 32px 0 rgba(0,0,0,0.37);
}
footer{
    display: flex;
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    align-items: center;
    justify-content: center;
    height: 70px;
    background-color: rgba(255, 255, 255, 0.128);
    backdrop-filter: blur(10px);
    box-shadow: 0 0 15px  rgba(255, 255, 255, 0.356);
    z-index: 999;

}
footer h1{
    font-size: 30px;

}



.menu-icon {
  display: none;
  font-size: 35px;
  cursor: pointer;
  z-index: 10000;
  position: fixed;
  right: 20px;
  top: 15px;
  color: white;
}
@media (max-ascept-ratio: 16/9){
    .back-vid{
        width: 100%;
        height: auto;
    }
}





/*Sidebar*/
.sidebar {
  display: none;
  transform: translateX(100%);
  transition: transform 0.3s ease-in-out;
  z-index: 9999;
}




.close-icon{
    font-size: 50px;
    color: lightgray;
    padding-left: 10px;
    cursor: pointer;
}
.sidebar ul{
    padding-left: 20px;
}

.sidebar ul li{
    list-style: none;
    margin-bottom: 30px;
}
.sidebar ul li a{
    text-decoration: none;
    color: lightgray;
    font-size: 30px;
    font-weight: 700;
    text-shadow: 0 0 15px rgba(128, 128, 128, 0.256);
}
.sidebar .social-icons{
    padding-left: 20px;
    margin-top: 60px;
    text-wrap: nowrap;
}
.sidebar .social-icons a{
    font-size: 35px;
    padding: 5px 5px;
    cursor: pointer;
}

/*open sidebar animation*/
.sidebar.open-sidebar {
  transform: translateX(0);
}
@keyframes openSidebarAnimation {
    to{
        width: 80%;
        opacity: 1;
        bottom: 0;
        border-radius: 0;
    }
}

/*cLOSE SIDEBAR aNIMATION*/
.sidebar.close-sidebar{
    animation: closeSidebarAnimation 1.5s forwards;
}
@keyframes closeSidebarAnimation {
    from{
        width: 80%;
        opacity: 1;
        bottom: 0;
        border-radius: 0;
    }
    to{
        width:0;
        opacity: 0;
        bottom: 70%;
        border-bottom-left-radius: 50%;
    }
}






/*Blur Effect Animation*/

.autoBlur{
    animation: autoBlurAnimation linear both;
    animation-timeline: view();
}

@keyframes autoBlurAnimation {
    0%{
        filter: blur(40px);
        opacity: 0;
    }
    35%, 65%{
        filter: blur(0);
        opacity: 1;

    }
    100%{
        filter: blur(40px);
        opacity: 0;
    }
}


/*Auto Display animation*/
.autoDisplay{
    animation: autoDisplayAnimation both;
    animation-timeline: view();
}
@keyframes autoDisplayAnimation {
    from{
        filter: blur(10px);
        transform: translate(-200px)scale(0);
        opacity: 0.2;

    }
    50%{
        filter: blur(0);
        transform: translate(0)scale(1);
        opacity: 1;

    }
}



/*Fadein-right*/
.fadeInRight{
    animation:fadeInAnimation both;
    animation-timeline: view();
}
@keyframes fadeInAnimation {
    0%{
        opacity: 0;
        transform: translateX(-500px)scale(0.2);
        filter: blur(20px);
    }
    35%, 65%{
        opacity: 1;
        transform: translateX(0px)scale(1);
        filter: blur(0);
    }
    100%{
  
        filter: blur(20px);
    }
}


/*Mobile responsive*/
 @media screen and  (max-width: 700px) {
    header{
      position: fixed;
        height: 50px;

    }
    header ul{
        display: none;
    }
    header .box-icons{
        display: none;
    } 
    
  
    header h1{
        font-size: 25px;
    }
    .blackhole-box video{
        margin-top: -16%;
    }
    .hero{
        flex-direction: column;
    }
    .autoBlur{
        animation: none;
    }
    .hero-info{
        bottom: 5%;

    }
    .scroll-down{
        bottom: 5%;
    }
    .hero-info h1{
        line-height: 50px;
    }
    .hero-vid-box{
        height: 200px;
        top: 5%;
        right: 5%;

    }
    .card video{
        width: 100%;
        
    }
    .my-projects{
        margin-bottom: 600px;
    }
    .project-card{
        flex-direction: column;
        margin-left: 25%;
        gap: 30px;
    
    
    }
    .project-info{
        width: 85%;
    }
    .project-info h1{
        text-wrap: nowrap;

    }
    .project-info p{
        max-width: 300px;
    }
    .designer{
        top: 15%;
        left: 18%;

    }
    .coder{
        top: 50%;
        left: 18%;
    }
    .skills-box h1{
        margin-bottom: 0;
        margin-top: 70px;

    }
    .slider{
        bottom: 0;
    }
    .slider img{
        width: 60%;
    }
    .contact-section {
        flex-direction: column;
        margin-top: 100px;
        margin-bottom: 50px;
    }
    .contact-section .section-title{
        top: -40px;
        left: 25%;
    }
    footer h1{
        font-size: 17px;
    }
    .project-vidbox{
        min-width: 200px;
    }
     .menu-icon {
  display: none;
  font-size: 35px;
  cursor: pointer;
  z-index: 10000;
  position: fixed;
  right: 20px;
  top: 15px;
  color: white;
}

}





/*Tablet response*/


@media screen and (max-width: 1000px) {
    .blackhole-box video{
        margin-top: -20%;

    }
    .hero-info h1{
        font-size: 40px ;
        max-width: 400px;
        line-height: 40px;

    }
    .hero-info p{
        max-width: 300px;
    }

    .hero-vid-box{
        right: 0;
    }
    .hero-vid-box video{
        height: 500px;
    }
    .section-title{
        font-size: 30px;
    }
    .info-cards{
        grid-template-columns: auto;
    }
    .card:nth-child(3){
        grid-column: span 2;
        height: 70vh;
    }
    .info-cards .card h1{
        font-size: 20px;
    }
    .card:nth-child(3) h1{
        bottom: 25%;
    }
    .card video{
        height: 65%;
        margin-top: 5%;
    }
    .my-projects{
        margin-bottom: 300px;
    }
    .project-vidbox video{
        width: 250px;
        margin-left: -100px;
    }
     .project-info{
      padding-left: 0;
        margin-left: -50px;
    }
    
    .project-info h1{
        font-size: 20px ;
        max-width: 200px;
        text-wrap: wrap;

    }
    .project-info p{
        font-size: 10px;
        text-wrap: wrap;
        max-width: 200px;
        min-width: 0;
    }
    footer h1{
        font-size: 20px;
    }
   
    
}


@media screen and (max-width: 700px) {
  .sidebar {
    display: block;
    position: fixed;
    top: 0;
    right: 0;
    width: 80%;
    height: 100vh;
    background-color: #000000d8;
  }

  .sidebar.open-sidebar {
    transform: translateX(0);
  }

  .menu-icon {
    display: block;
  }
}
